<h1>Cashflow</h1>

<% if @dividend %>
    <%= render :partial=>'dividend_form', locals: {
            :dividend=>@dividend,
            :positions=>@positions
    } %>
<% end %>


<%= form_tag({:action=>'index'}, :method=>:get, :id=>'controller_filter') do %>
    <p>
     <%= select_tag :filter, options_for_select(@filters, @filter) , prompt: '-- Filter --' %>
     <%= select_tag :portfolio, options_from_collection_for_select(@portfolios, :id, :name, @portfolio) , prompt: '-- All Portfolios --' %>
     <%= select_tag :timeframe, options_for_select(@timeframes, @timeframe) , prompt: '-- Time Frame --' %>
     <%= submit_tag 'Run Report' %>
    </p>
<% end %>

<div id='cashflow_totals'>
  <%
    ftotal = (@forecast.count > 0 ? @forecast.total : 0)
    ltotal = (@log.count > 0 ? @log.total : 0)
  %>
  <ul>
    <li class="<%= ftotal<0 ? 'loss' : 'profit' %>">Forecast: <em><%= smr_humanize(ftotal, :shortword=>true) %></em></li>
    <li>Items: <em><%= smr_humanize @forecast.count %></em></li>
    <li class="<%= ltotal<0 ? 'loss' : 'profit' %>">Log: <em><%= smr_humanize(ltotal, :shortword=>true) %></em></li>
    <li>Items: <em><%= smr_humanize @log.count %></em></li>
  </ul>
</div>

<div id="cashflow">
<div>
    <h2>Forecast</h2>
    <%= render :partial=>'itemtable', locals: { :items=>@forecast } unless @forecast.empty? %>
</div>

<div>
    <h2>Log</h2>
    <%= render :partial=>'itemtable', locals: { :items=>@log } unless @log.empty? %>
</div>
</div>
